// PICUpdaterDlg.h : header file
//

#pragma once

typedef struct {
   int nlines;
   unsigned char data[3072];
} rom_page;


// CPICUpdaterDlg dialog
class CPICUpdaterDlg : public CDialog
{
// Construction
public:
	CPICUpdaterDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_PICUPDATER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:

  protected:
   CEdit* eFilename;
   CProgressCtrl* pbProgress;
   CComboBox* cbComPort;
   CButton* bUpdate;

   int ReadImage(rom_page*);
   void WriteFlash(rom_page*);


public:
   afx_msg void OnBnClickedUpdate();
   afx_msg void OnBnClickedBrowse();
};
